# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
%define fedora 29
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}


%global enable_tests 1

Name:       nodejs-shelljs
Version:    0.7.3
Release:    alt1_3
Summary:    Portable Unix shell commands for Node.js
# The bulk of the project is licensed under BSD license.
# src/cp.js and src/rm.js contain MIT licensed code.
# https://fedorahosted.org/fpc/ticket/413
License:    BSD and MIT
Group:      System/Libraries
URL:        http://github.com/arturadib/shelljs
Source0:    http://registry.npmjs.org/shelljs/-/shelljs-%{version}.tgz
# The test files are not included in the npm tarball.
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository.
Source1:    tests-%{version}.tar.bz2
Source10:   dl-tests.sh

# The "shjs.js" test file is failing in mock
# when run from scripts/run-tests.js
#
# So, to make a long story short, we'll patch it out of the
# run-tests.js script
Patch0:     nodejs-shelljs_fix-tests.patch

BuildArch:  noarch
%if 0%{?fedora} >= 19
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:  rpm-build-nodejs node-devel
%if 0%{?enable_tests}
BuildRequires:  coffee-script
BuildRequires:  npm(glob)
%endif
Source44: import.info

%description
%{summary}.


%prep
%setup -q -n package
%setup -q -T -D -a 1 -n package
%patch0 -p1

sed -i '1s/env //' bin/shjs

%nodejs_fixdep glob

%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/shelljs
cp -pr package.json global.js make.js shell.js src/ \
    %{buildroot}%{nodejs_sitelib}/shelljs

mkdir -p %{buildroot}%{nodejs_sitelib}/shelljs/bin
install -p -m0755 bin/shjs \
    %{buildroot}%{nodejs_sitelib}/shelljs/bin
mkdir -p %{buildroot}%{_bindir}
ln -sf %{nodejs_sitelib}/shelljs/bin/shjs \
    %{buildroot}%{_bindir}/shjs

%nodejs_symlink_deps


%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
#%__nodejs scripts/run-tests
%else
echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif


%files
%{!?_licensedir:%global license %doc}
%doc --no-dereference LICENSE
%doc README.md MAINTAINERS
%{nodejs_sitelib}/shelljs
%{_bindir}/shjs


%changelog
* Thu Apr 11 2019 Igor Vlasenko <viy@altlinux.ru> 0.7.3-alt1_3
- new version

